<?php
session_start();
include ("../BD/conexion_bd.php");
	if(!$conexion)
	{
		die("error al intentar conectar: " .mysql_error());
	}
$notificado="UPDATE Tareas_has_Empleado SET Finalizado=1 WHERE Empleado_user='".$_SESSION['sesion_usuario']."' AND Tareas_id=".$_POST['variable'];
mysql_query($notificado,$conexion);

//si todos los demás empleados asignados a la tarea ya la finalizaron, entonces marcarla como 'finalizado' en la tabla 'Tareas'
$consulta_finalizado="SELECT Finalizado FROM Tareas_has_Empleado WHERE Tareas_id=".$_POST['variable'];
$sql_finalizado=mysql_query($consulta_finalizado,$conexion);
$terminado=0;
while($row_resultados=mysql_fetch_assoc($sql_finalizado))
{
	if($row_resultados['Finalizado']==0)
		{
			$terminado=0;
			break;
		}
	else
		$terminado=1;
}
if($terminado)
{
	$update="UPDATE Tareas SET Finalizado=1 WHERE id=".$_POST['variable'];
	mysql_query($update,$conexion);
}
mysql_close();
?>